Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Interface SignatureSubpacketTags

All Known Implementing Classes:
  SignatureSubpacketInputStream

public interface SignatureSubpacketTags

Basic PGP signature sub-packet tag types.

Field Summary
`static int` | `CREATION_TIME`
`static int` | `EXPIRE_TIME`
`static int` | `EXPORTABLE`
`static int` | `ISSUER_KEY_ID`
`static int` | `KEY_EXPIRE_TIME`
`static int` | `KEY_FLAGS`
`static int` | `KEY_SERVER_PREFS`
`static int` | `NOTATION_DATA`
`static int` | `PLACEHOLDER`
`static int` | `POLICY_URL`
`static int` | `PREFERRED_COMP_ALGS`
`static int` | `PREFERRED_HASH_ALGS`
`static int` | `PREFERRED_KEY_SERV`
`static int` | `PREFERRED_SYM_ALGS`
`static int` | `PRIMARY_USER_ID`
`static int` | `REG_EXP`
`static int` | `REVOCABLE`
`static int` | `REVOCATION_KEY`
`static int` | `REVOCATION_REASON`
`static int` | `SIGNER_USER_ID`
`static int` | `TRUST_SIG`

Field Detail

### CREATION_TIME

    public static final int CREATION_TIME

See Also:
  Constant Field Values

### EXPIRE_TIME

    public static final int EXPIRE_TIME

See Also:
  Constant Field Values

### EXPORTABLE

    public static final int EXPORTABLE

See Also:
  Constant Field Values

### TRUST_SIG

    public static final int TRUST_SIG

See Also:
  Constant Field Values

### REG_EXP

    public static final int REG_EXP

See Also:
  Constant Field Values

### REVOCABLE

    public static final int REVOCABLE

See Also:
  Constant Field Values

### KEY_EXPIRE_TIME

    public static final int KEY_EXPIRE_TIME

See Also:
  Constant Field Values

### PLACEHOLDER

    public static final int PLACEHOLDER

See Also:
  Constant Field Values

### PREFERRED_SYM_ALGS

    public static final int PREFERRED_SYM_ALGS

See Also:
  Constant Field Values

### REVOCATION_KEY

    public static final int REVOCATION_KEY

See Also:
  Constant Field Values

### ISSUER_KEY_ID

    public static final int ISSUER_KEY_ID

See Also:
  Constant Field Values

### NOTATION_DATA

    public static final int NOTATION_DATA

See Also:
  Constant Field Values

### PREFERRED_HASH_ALGS

    public static final int PREFERRED_HASH_ALGS

See Also:
  Constant Field Values

### PREFERRED_COMP_ALGS

    public static final int PREFERRED_COMP_ALGS

See Also:
  Constant Field Values

### KEY_SERVER_PREFS

    public static final int KEY_SERVER_PREFS

See Also:
  Constant Field Values

### PREFERRED_KEY_SERV

    public static final int PREFERRED_KEY_SERV

See Also:
  Constant Field Values

### PRIMARY_USER_ID

    public static final int PRIMARY_USER_ID

See Also:
  Constant Field Values

### POLICY_URL

    public static final int POLICY_URL

See Also:
  Constant Field Values

### KEY_FLAGS

    public static final int KEY_FLAGS

See Also:
  Constant Field Values

### SIGNER_USER_ID

    public static final int SIGNER_USER_ID

See Also:
  Constant Field Values

### REVOCATION_REASON

    public static final int REVOCATION_REASON

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD